Bug 434439 - xbsql failed massrebuild attempt for GCC 4.3
Summary: xbsql failed massrebuild attempt for GCC 4.3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xbsql
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: gcc43errors
TreeView+ depends on / blocked
 
Reported: 2008-02-22 16:24 UTC by Jesse Keating
Modified: 2013-01-10 03:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-11 21:06:52 UTC
Type: ---


Attachments (Terms of Use)

Description Jesse Keating 2008-02-22 16:24:29 UTC
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=445359
Exit code was 1, check the build.log for the failed buildArch task.

Comment 1 Jon Stanley 2008-03-05 05:14:46 UTC
scratch build 493117

Comment 2 Jon Stanley 2008-03-05 05:28:23 UTC
xbsql.l: In function 'int xbsql_lex()':
xbsql.l:13: error: reference to 'string' is ambiguous
xbsql.y:14: error: candidates are: void string(int)
/usr/lib/gcc/x86_64-redhat-linux/4.3.0/../../../../include/c++/4.3.0/bits/stringfwd.h:60:
error:                 typedef struct std::basic_string<char,
std::char_traits<char>, std::allocator<char> > std::string
xbsql.l:13: error: reference to 'string' is ambiguous
xbsql.y:14: error: candidates are: void string(int)

Comment 3 Tom "spot" Callaway 2008-03-11 21:06:52 UTC
Fixed in xbsql-0.11-11.fc9


Note You need to log in before you can comment on or make changes to this bug.